%define pkgname django-registration

Name:           python-%{pkgname}
Version:        3.2
Release:        %mkrel 1
Summary:        A user-registration application for Django

Group:          Development/Python
License:        BSD
URL:            https://github.com/ubernostrum/django-registration/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildArch:      noarch

%description
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%package -n     python3-%{pkgname}
Summary:        A user-registration application for Django
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django

%description -n python3-%{pkgname}
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%prep
%setup -q -n %{pkgname}-%{version}

rm -rf docs/_build/html/.buildinfo

# Remove bundled egg-info
rm -rf src/*.egg-info

# relax reqs
perl -pi -e 's/confusable_homoglyphs~=/confusable_homoglyphs>=/' setup.py

%build
%py3_build

%install
%py3_install

#Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -n python3-%{pkgname} -f %{name}.lang
%{python3_sitelib}/*.egg-info
%dir %{python3_sitelib}/django_registration
%{python3_sitelib}/django_registration/migrations/
%{python3_sitelib}/django_registration/backends/
%{python3_sitelib}/django_registration/*.py*


%changelog
* Fri Aug 05 2022 tex - 3.2-1pclos2022
- new version

